#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>
#include "callbacks.h"

void
backup_interface(GtkWidget *window1, GtkWidget *fixed1)
{
  GtkWidget *frame1;
  GtkWidget *fixed3;
  GtkWidget *button1;
  GtkWidget *label7;
  GtkWidget *label6;
  GtkWidget *frame2;
  GtkWidget *fixed4;
  GtkWidget *label9;
  GtkWidget *button2;
  GtkWidget *label8;

  frame1 = gtk_frame_new (_("Nowa pyta CD-R"));
  gtk_widget_ref (frame1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "frame1", frame1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame1);
  gtk_fixed_put (GTK_FIXED (fixed1), frame1, 24, 24);
  gtk_widget_set_uposition (frame1, 24, 24);
  gtk_widget_set_usize (frame1, 400, 160);

  fixed3 = gtk_fixed_new ();
  gtk_widget_ref (fixed3);
  gtk_object_set_data_full (GTK_OBJECT (window1), "fixed3", fixed3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed3);
  gtk_container_add (GTK_CONTAINER (frame1), fixed3);

  button1 = gnome_stock_button (GNOME_STOCK_BUTTON_YES);
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_fixed_put (GTK_FIXED (fixed3), button1, 280, 96);
  gtk_widget_set_uposition (button1, 280, 96);
  gtk_widget_set_usize (button1, 104, 40);
  gtk_signal_connect(GTK_OBJECT(button1), "clicked", GTK_SIGNAL_FUNC(backup_single), NULL);

  label7 = gtk_label_new ("");
  gtk_label_parse_uline (GTK_LABEL (label7),
                         _("plik /usr/sbin/xdefactor__backup !!!"));
  gtk_widget_ref (label7);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label7", label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label7);
  gtk_fixed_put (GTK_FIXED (fixed3), label7, 0, 40);
  gtk_widget_set_uposition (label7, 0, 40);
  gtk_widget_set_usize (label7, 192, 48);

  label6 = gtk_label_new (_("Przed naciniciem przycisku [ TAK ] skonfiguruj do swoich potrzeb"));
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_fixed_put (GTK_FIXED (fixed3), label6, 8, 16);
  gtk_widget_set_uposition (label6, 8, 16);
  gtk_widget_set_usize (label6, 376, 40);

  frame2 = gtk_frame_new (_("Kontynuacja nagrywanie pyty CD-R (multisession)"));
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_fixed_put (GTK_FIXED (fixed1), frame2, 24, 216);
  gtk_widget_set_uposition (frame2, 24, 216);
  gtk_widget_set_usize (frame2, 400, 248);

  fixed4 = gtk_fixed_new ();
  gtk_widget_ref (fixed4);
  gtk_object_set_data_full (GTK_OBJECT (window1), "fixed4", fixed4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (fixed4);
  gtk_container_add (GTK_CONTAINER (frame2), fixed4);

  label9 = gtk_label_new ("");
  gtk_label_parse_uline (GTK_LABEL (label9),
                         _("plik /usr/sbin/xdefactor__backup !!!"));
  gtk_widget_ref (label9);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label9", label9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label9);
  gtk_fixed_put (GTK_FIXED (fixed4), label9, 0, 48);
  gtk_widget_set_uposition (label9, 0, 48);
  gtk_widget_set_usize (label9, 200, 48);

  button2 = gnome_stock_button (GNOME_STOCK_BUTTON_YES);
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (window1), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_fixed_put (GTK_FIXED (fixed4), button2, 280, 176);
  gtk_widget_set_uposition (button2, 280, 176);
  gtk_widget_set_usize (button2, 104, 40);
  gtk_signal_connect(GTK_OBJECT(button2), "clicked", GTK_SIGNAL_FUNC(backup_multi), NULL);

  label8 = gtk_label_new (_("Przed naciniciem przycisku [ TAK ] skonfiguruj do swoich potrzeb"));
  gtk_widget_ref (label8);
  gtk_object_set_data_full (GTK_OBJECT (window1), "label8", label8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label8);
  gtk_fixed_put (GTK_FIXED (fixed4), label8, 8, 16);
  gtk_widget_set_uposition (label8, 8, 16);
  gtk_widget_set_usize (label8, 384, 48);

}

